Skip to main content
`Ctrl`+`K`

# EPSSetDSType

Sets the type of the internal `DS` object based on the current settings of the eigenvalue solver.

## Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSSetDSType(EPS eps)

Collective

## Input Parameter

- eps - the linear eigensolver context

## Note

This function need not be called explicitly, since it will be called at both `EPSSetFromOptions()` and `EPSSetUp()`.

## See Also

EPS: Eigenvalue Problem Solver, `EPSSetFromOptions()`, `EPSSetUp()`

## Level

developer

## Location

src/eps/interface/epssetup.c

Index of all EPS routines Table of Contents for all manual pages Index of all manual pages